Subject: Auto-discard notification
From: [email-masked]
To: [email-masked]
Date: Sun, 16 Dec 2007 16:18:16 -0800
List-Id: PHENIX user mailing list <phenixbb.phenix-online.org>

The attached message has been automatically discarded.

Subject: Problem with AutoBuild and Alternative Conformations
From: Dale Tronrud <[email-masked]>
To: PHENIX user mailing list <[email-masked]>
Date: Sun, 16 Dec 2007 16:18:15 -0800

Hi,

    I desire to resolve a crystal, who's structure factors I've downloaded
from the PDB, using my new high resolution model of this protein from a
different species.  I have decided to use the AutoMR wizard from Phenix
for the chore.  The MR seems to work just find, but I've run into a
problem with the follow-up AutoBuild.

    This protein has a peptide chain that I would like rebuilt with the
proper amino acid sequence and seven Bchl-a molecules that I would like
to be carried through to the end.  Since the probe is from a high res
refinement it contains quite a few groups with alternative conformations.
This is not a problem in the protein part as it is being rebuilt and
comes back with a single conformation for each residue.  The Bchl-a
molecules, however, are being horribly mutilated.

    In the Bchl-a groups, the "A" conformation is being promoted to
be the "main" (and only) conformation and the "B", "C", "D", "E",
and, yes, the "F" conformations are lost.  A Bchl-a molecule is much
larger than an amino acid so it is quite possible, and reasonable,
for one part to have a "A" and "B" pair of conformations, another
part to have a "C" and "D" pair, and somewhere else for there to
be a "E" and "F" pair.  When conformation "C", "D", "E", and "F"
are discarded whole sections of the Bchl-a molecule disappear
completely.  This is bad.

    I suspect that the coder assumed that all alternative conformations
mutually exclusive and involve the same subset of the residue.  I
would prefer a more careful analysis to uncover the fact that "A" and
"B" go together, and "C" and "D" go together.  If there is a need to
reduce the complexity of the model, (and I would prefer that all the
alternatives make it through to the end) could the program keep "A",
"C", and "E", or whatever makes sense for any particular residue?
Better yet, instead of always keeping the first alternative of a set,
could it keep the one with the highest occupancy?

    I'm using phenix-1.3b-rc6 on a Fedora 6 PC.

Thanks,
Dale Tronrud